#
# spec file for package apache2-mod-apparmor (Version 2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libapparmor libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           apache2-mod-apparmor
%if ! %{?distro:1}0
  %define distro suse
%endif
# this is required to be underscore
%define module_name mod_apparmor
Summary:        AppArmor module for apache2
Version:        2.0
Release:        21.2
Group:          Productivity/Security
Source0:        %{name}-%{version}-6354.tar.gz
License:        LGPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://forge.novell.com/modules/xfmod/project/?apparmor
Prereq:         libapparmor
BuildRequires:  libapparmor
Obsoletes:      mod_change_hat mod-change-hat mod-apparmor
Provides:       mod_change_hat mod-change-hat mod-apparmor
%if %{distro} == "suse"
%define apxs /usr/sbin/apxs2
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Prereq:         apache2-prefork 
Prereq:         apparmor-parser
BuildRequires:  apache2-devel
Requires:       apache2 %{apache_mmn}
%else
%if %{distro} == "redhat" || %{distro} == "rhel4"
%define apxs /usr/sbin/apxs
Prereq:         httpd
BuildRequires:  httpd-devel
%endif
%endif
%define module_path 		%(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir	%(%{apxs} -q SYSCONFDIR)
%define my_bin_dir /usr/lib/%{name}

%description
apache2-modapparmor adds support to apache2 to provide AppArmor
confinement to individual cgi scripts handled by apache modules like
mod_php and mod_perl.

This package is part of a suite of tools that used to be named
SubDomain.



Authors:
--------
    sbeattie@suse.de

%debug_package
%prep
%setup -q 

%build
make %{module_name}.so APXS=%{apxs}
%{__strip} -g %{module_name}.so

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT} DISTRO=%{distro}
%if %{distro} == "suse"
       mkdir -p ${RPM_BUILD_ROOT}/%{my_bin_dir}
       mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/apache2-prefork/
       ln -s %{module_path}/%{module_name}.so ${RPM_BUILD_ROOT}%{_libdir}/apache2-prefork/%{module_name}.so
       cp -a frob_sysconfig ${RPM_BUILD_ROOT}/%{my_bin_dir}
       chmod 755 ${RPM_BUILD_ROOT}/%{my_bin_dir}/frob_sysconfig
%else 
  %if %{distro} == "redhat" || %{distro} == "rhel4"
  	mkdir -p ${RPM_BUILD_ROOT}/%{apache_sysconfdir}.d/
	install -m 644 %{module_name}.conf ${RPM_BUILD_ROOT}/%{apache_sysconfdir}.d/
  %endif
%endif

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{module_path}
%if %{distro} == "suse"
   %dir %{my_bin_dir}
   %{my_bin_dir}/frob_sysconfig
   %{_libdir}/apache2-prefork/%{module_name}.so
%else 
  %if %{distro} == "redhat" || %{distro} == "rhel4"
    %{apache_sysconfdir}.d/%{module_name}.conf
  %endif
%endif
%doc COPYING.LGPL

%post
%if %{distro} == "suse"
  %{my_bin_dir}/frob_sysconfig
  if [ "%{suse_version}" -lt 930 ] ; then
    /sbin/SuSEconfig --module apache2
  fi
%endif

%preun
%if %{distro} == "suse"
  if [ $1 = 0 ] ; then
    %{my_bin_dir}/frob_sysconfig --remove
    if [ "%{suse_version}" -lt 930 ] ; then
      /sbin/SuSEconfig --module apache2
    fi
  fi
%endif

%triggerpostun -- mod_change_hat mod-change-hat
%if %{distro} == "suse"
  %{my_bin_dir}/frob_sysconfig
  if [ "%{suse_version}" -lt 930 ] ; then
    /sbin/SuSEconfig --module apache2
  fi
%endif

%changelog -n apache2-mod-apparmor
* Sat Apr 01 2006 - srarnold@suse.de
- Relicense to LGPL (#157579)
* Mon Feb 06 2006 - sbeattie@suse.de
- Renamed apache config options:
  ImmhatName -> AAHatName
  ImmDefaultHatName -> AADefaultHatName
* Mon Jan 30 2006 - poeml@suse.de
- removed libapr-util1-devel from BuildRequires (apache2-devel does
  require it)
* Sun Jan 29 2006 - sbeattie@suse.de
- Fix linking against libapparmor.so (renamed from libimmunix.so)
- No more neededforbuild in STABLE
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - sbeattie@suse.de
- Add dependency on contents of /usr/lib/apache2_MMN
* Fri Jan 06 2006 - sbeattie@suse.de
- Fixup SUSE autobuild require on apache-devel-packages
- Add svn revision number to the source tarball
* Sun Dec 18 2005 - sbeattie@suse.de
- Include symlink in %%{_libdir}/apache2-prefork/
* Fri Dec 09 2005 - sbeattie@suse.de
- Rename to apache2-mod-apparmor for consistency with SUSE packages
- Rename module to mod_apparmor.so
* Thu Dec 08 2005 - sbeattie@suse.de
- rename package to mod-apparmor
- relicense to GPL for open source release
- reset version to 2.0-1
